package com.bonus.canteen.core.customer.dto;

import io.swagger.annotations.ApiModelProperty;

public class UnifiedFaceRegisterParamDTO {
   @ApiModelProperty("照片base64")
   private String imageBase64;
   @ApiModelProperty("人员id")
   private Long custId;
   Integer faceVer;
   private String minioPicPath;

   UnifiedFaceRegisterParamDTO(final String imageBase64, final Long custId, final Integer faceVer, final String minioPicPath) {
      this.imageBase64 = imageBase64;
      this.custId = custId;
      this.faceVer = faceVer;
      this.minioPicPath = minioPicPath;
   }

   public static UnifiedFaceRegisterParamDTOBuilder builder() {
      return new UnifiedFaceRegisterParamDTOBuilder();
   }

   public String getImageBase64() {
      return this.imageBase64;
   }

   public Long getCustId() {
      return this.custId;
   }

   public Integer getFaceVer() {
      return this.faceVer;
   }

   public String getMinioPicPath() {
      return this.minioPicPath;
   }

   public void setImageBase64(final String imageBase64) {
      this.imageBase64 = imageBase64;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setFaceVer(final Integer faceVer) {
      this.faceVer = faceVer;
   }

   public void setMinioPicPath(final String minioPicPath) {
      this.minioPicPath = minioPicPath;
   }


   public static class UnifiedFaceRegisterParamDTOBuilder {
      private String imageBase64;
      private Long custId;
      private Integer faceVer;
      private String minioPicPath;

      UnifiedFaceRegisterParamDTOBuilder() {
      }

      public UnifiedFaceRegisterParamDTOBuilder imageBase64(final String imageBase64) {
         this.imageBase64 = imageBase64;
         return this;
      }

      public UnifiedFaceRegisterParamDTOBuilder custId(final Long custId) {
         this.custId = custId;
         return this;
      }

      public UnifiedFaceRegisterParamDTOBuilder faceVer(final Integer faceVer) {
         this.faceVer = faceVer;
         return this;
      }

      public UnifiedFaceRegisterParamDTOBuilder minioPicPath(final String minioPicPath) {
         this.minioPicPath = minioPicPath;
         return this;
      }

      public UnifiedFaceRegisterParamDTO build() {
         return new UnifiedFaceRegisterParamDTO(this.imageBase64, this.custId, this.faceVer, this.minioPicPath);
      }

      public String toString() {
         return "UnifiedFaceRegisterParamDTO.UnifiedFaceRegisterParamDTOBuilder(imageBase64=" + this.imageBase64 + ", custId=" + this.custId + ", faceVer=" + this.faceVer + ", minioPicPath=" + this.minioPicPath + ")";
      }
   }
}
